/*********************************
*Copyright 1998 by Kevin MacDonald
*kmacdo01@student.vill.edu
*********************************/

/*********************************
*This code controls the form for
*adding and removing cities
*********************************/

#include "addrem.h"
#include "addrem.moc"

addrem::addrem(QWidget *parent, const char *name, WFlags f)
        :QWidget(parent, name, f)
{
  setGeometry(100,100,250,200);
  setMaximumSize(250,200);
  setMinimumSize(250,200);
  setBackgroundPixmap(QPixmap("cloud.xpm"));
  citylist = new QListBox(this, "list");
  citylist ->setGeometry (10, 10, 80,100);
  

  remove = new QPushButton("Remove City", this, "remove");
  remove->setGeometry(citylist->x()+ citylist->width()+20, citylist->y()+(citylist->height())/2-15, 75,30);
  connect(remove, SIGNAL(clicked()), SLOT(removeThis()));

  aircode = new QLabel("aircode", this);
  aircode->setText("Airport Code:");
  aircode->move(citylist->x(),citylist->y()+citylist->height()+25);
  aircode->setBackgroundPixmap(QPixmap("cloud.xpm"));

  addfield = new QLineEdit(this, "text");
  addfield->setGeometry(aircode->x()+aircode->width()-20, aircode->y()+5,50,20);
  connect(addfield, SIGNAL(returnPressed()), SLOT(addThis()));

  add = new QPushButton("Add City", this, "add");
  add->setGeometry(addfield->x()+addfield->width()+20,addfield->y(),75,20);
  connect(add, SIGNAL(clicked()), SLOT(addThis()));

  citylist->move(citylist->x()+30,10);
  remove->move(remove->x()+30,citylist->y()+citylist->height()/2-15);

  done = new QPushButton("Done", this, "done");
  done->setGeometry(addfield->x()+5, addfield->y()+addfield->height()+10,50,25);
  connect(done, SIGNAL(clicked()), SLOT(writefile()));
  
  setCaption("Add/Remove Cities");

  char city[5];
  ifstream infile(".xweathrc");
  while (!(infile.eof())){
    infile >> city;
    citylist->insertItem(city);
    }
  close(infile);
  citylist->removeItem(citylist->count()-1);

}

addrem::~addrem(){
//  writefile();
}

addrem::writefile(){
  ofstream outfile(".xweathrc");
  for( uint a = 0; a<citylist->count();a++){
    outfile << citylist->text(a) << endl;
    }
  emit changed();
//  ~addrem();
}

addrem::removeThis(){
  citylist->removeItem(citylist->currentItem());
  }

addrem::addThis(){
  citylist->insertItem(addfield->text());
  addfield->setText("");  
  }
